Bug 1002262 - Generating thumbnails doesn't work out of the box
Generating thumbnails doesn't work out of the box
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mirage (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 14:38 EDT by Peter H. Jones
Modified: 2015-02-17 11:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:57:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum install Imagemagick output with progress bars removed (123.80 KB, text/plain)
2013-08-31 10:39 EDT, Peter H. Jones
no flags Details

  None (edit)
Description Peter H. Jones 2013-08-28 14:38:02 EDT
Description of problem:
Can't get thumbnails as should be possible in Custom Actions menu

Version-Release number of selected component (if applicable):
mirage-0.9.5.2-4.fc19.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Start mirage
2. File, Open Image, select some
3. Edit, Custom Actions, Create Thumbnail

Actual results:
Get error message:
"Unable to launch "convert /home/jones/mt/palisades/01-20130828140258-01.jpg -thumbnail 150x150 /home/jones/mt/palisades/t_01-20130828140258-01.jpg". Please specify a valid command from Edit > Custom Actions."

Expected results:
Generating thumbnails

Additional info:
yum list '*/convert' didn't provide any suggestions for the missing program.
Comment 1 Mamoru TASAKA 2013-08-28 20:38:46 EDT
convert is in ImageMagick. As ImageMagick is some large application, I don't intend to add explicit dependency (Requires) against ImageMagick.
Comment 2 Mamoru TASAKA 2013-08-29 21:10:14 EDT
Is installing ImageMagick work for you?
Comment 3 Peter H. Jones 2013-08-31 10:39:57 EDT
Created attachment 792434 [details]
yum install Imagemagick output with progress bars removed

Re comment 2:

Installing Imagemagick requires about 1G, as shown in the attachment. Therefore, the dependencies should be in a separate rpm, called perhaps mirage-custom-actions-dependencies-<version>.noarch.rpm , which users could install if they wish. Another of the custom dependencies requres "gimp-remote-4". I think gimp would be enough, but I didn't bother to try that.

Re comment 3:
Yes, installing Imagemagick resolved the problem.

I would suggest the examples in the package be changed upstream to require less additional resources. For example, the commands in them could be replaced with an "echo" command to show how parameters are expanded. Making the commands actually work would of course entail installing the correspondig packages.
Comment 4 Fedora End Of Life 2015-01-09 14:38:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:57:57 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.